
From: Keith Owens <kaos@ocs.com.au>

arch/i386/kernel/vsyscall-note.o is not listed as a target so its .cmd file
is neither considered as a target nor is it read on the next build.  This
causes vsyscall-note.o to be rebuilt every time that you run make, which
causes vmlinux to be rebuilt every time.

Signed-off-by: Keith Owens <kaos@ocs.com.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/Makefile |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/kernel/Makefile~stop-arch-i386-kernel-vsyscall-noteo-being-rebuilt-every-time arch/i386/kernel/Makefile
--- 25/arch/i386/kernel/Makefile~stop-arch-i386-kernel-vsyscall-noteo-being-rebuilt-every-time	2005-06-06 00:14:23.000000000 -0700
+++ 25-akpm/arch/i386/kernel/Makefile	2005-06-06 00:14:23.000000000 -0700
@@ -43,7 +43,7 @@ obj-$(CONFIG_SCx200)		+= scx200.o
 # Note: kbuild does not track this dependency due to usage of .incbin
 $(obj)/vsyscall.o: $(obj)/vsyscall-int80.so $(obj)/vsyscall-sysenter.so
 targets += $(foreach F,int80 sysenter,vsyscall-$F.o vsyscall-$F.so)
-targets += vsyscall.lds
+targets += vsyscall-note.o vsyscall.lds
 
 # The DSO images are built using a special linker script.
 quiet_cmd_syscall = SYSCALL $@
_
